{
  "type" : "record",
  "name" : "VariantSet",
  "namespace" : "org.ga4gh.models",
  "doc" : "`Variant` and `CallSet` both belong to a `VariantSet`.\n`VariantSet` belongs to a `Dataset`.\nThe variant set is equivalent to a VCF file.",
  "fields" : [ {
    "name" : "id",
    "type" : "string",
    "doc" : "The variant set ID."
  }, {
    "name" : "datasetId",
    "type" : "string",
    "doc" : "The ID of the dataset this variant set belongs to."
  }, {
    "name" : "referenceSetId",
    "type" : "string",
    "doc" : "The reference set the variants in this variant set are using."
  }, {
    "name" : "metadata",
    "type" : {
      "type" : "array",
      "items" : {
        "type" : "record",
        "name" : "VariantSetMetadata",
        "doc" : "This metadata represents VCF header information.",
        "fields" : [ {
          "name" : "key",
          "type" : "string",
          "doc" : "The top-level key."
        }, {
          "name" : "value",
          "type" : "string",
          "doc" : "The value field for simple metadata."
        }, {
          "name" : "id",
          "type" : "string",
          "doc" : "User-provided ID field, not enforced by this API.\n  Two or more pieces of structured metadata with identical\n  id and key fields are considered equivalent."
        }, {
          "name" : "type",
          "type" : "string",
          "doc" : "The type of data."
        }, {
          "name" : "number",
          "type" : "string",
          "doc" : "The number of values that can be included in a field described by this\n  metadata."
        }, {
          "name" : "description",
          "type" : "string",
          "doc" : "A textual description of this metadata."
        }, {
          "name" : "info",
          "type" : {
            "type" : "map",
            "values" : {
              "type" : "array",
              "items" : "string"
            }
          },
          "doc" : "Remaining structured metadata key-value pairs.",
          "default" : { }
        } ]
      }
    },
    "doc" : "The metadata associated with this variant set. This is equivalent to\n  the VCF header information not already presented in first class fields.",
    "default" : [ ]
  } ]
}
